function y = myconv2D(fcol,frow,x)
% 2-D convolution of a matrix with
% fcol operates on the columns
% and frow on the rows
% filter data is row oriented
y.s = conv2(fcol.s',frow.s,x.s);
y.cd= x.cd + fcol.d; % column delay or opposite of degree
y.rd = x.rd + frow.d; % opposite of row degree